[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomScrollBar.CreateParams

Initializes the creation parameters for the class instance.

## Declaration

Source position: stdctrls.pp line 94

`protected procedure TCustomScrollBar.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | The creation parameters and flags for the instance.

## Description

CreateParams is an overridden method used initialize the creation parameters for the class instance. CreateParams calls the inherited method, and ensures that the Params argument is updated to include the value from the Kind property in the style information for the TCreateParams instance. This ensures that the correct orientation for the scrollbar is used in the creation parameters.

## See also

TCustomScrollBar.Kind |  | Contains the scrollbar orientation, horizontal or vertical.
TScrollBarKind
TCustomScrollBar.CreateWnd |  | CreateWnd - calls inherited CreateWnd then initializes various Scroll Info properties.
TCreateParams |  | Record type used to store window creation parameters.
TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.